<?php
session_start();
date_default_timezone_set('America/Lima');
if($_SESSION["sistema"]!= "1"){ header("location: ../../index.php"); exit();}
require_once ("../../config/Cado.php");
require_once("../traspaso/cTraspaso.php");
$oTraspaso = new cTraspaso();
require_once ("../producto/cCatalogo.php");
$oCatalogo = new cCatalogo();
require_once("../stock/cStock.php");
$oStock = new cStock();
require_once("../kardex/cKardex.php");
$oKardex = new cKardex();

require_once ("../documento/cDocumento.php");
$oDocumento= new cDocumento();

require_once ("../talonario/cTalonario.php");
$oTalonario= new cTalonario();
require_once("../formatos/formato.php");
function responder($estado=false, $msj='', $data=[])

{
	header('Content-Type: application/json');

	echo json_encode([

		'estado' => $estado,

		'msj' => $msj,

		'data' => $data,

		]); 

	exit;

}


if($_POST['action_traspaso']=="insertar")

{

	if(empty($_POST['cmb_alm_id_ori']))responder(false, 'Intentelo nuevamente.');

	
	
	
	
	
		$dts= $oDocumento->mostrarUno(24);
		$dt = mysqli_fetch_array($dts);
		$doc_nom=$dt['tb_documento_nom'];
		$doc_abr=$dt['tb_documento_abr'];
		mysqli_free_result($dts);
				
		if($doc_abr=='T'){
		$ser = 'T00'.$_SESSION['usuario_ser'];
		}else if($doc_abr=='F'){
		$ser = 'F00'.$_SESSION['usuario_ser'];
		}else if($doc_abr=='B'){
		$ser = 'B00'.$_SESSION['usuario_ser'];
		}else if($doc_abr=='GR'){
		$ser = 'GR00'.$_SESSION['usuario_ser'];
		}else if($doc_abr=='NC'){
		$ser = 'NC00'.$_SESSION['usuario_ser'];
		}else if($doc_abr=='P'){
		$ser = 'P00'.$_SESSION['usuario_ser'];
		}else if($doc_abr=='TR'){
		$ser = 'TR00'.$_SESSION['usuario_ser'];
		}

		$dts= $oTalonario->correlativo($_SESSION['puntoventa_id'],24,$ser);
		$dt = mysqli_fetch_array($dts);
			$tal_id=$dt['tb_talonario_id'];
			$tal_ser=$dt['tb_talonario_ser'];
			$tal_fin=$dt['tb_talonario_fin'];
			$tal_num=$dt['tb_talonario_num'];
		mysqli_free_result($dts);

		$numero=$tal_num;
		$largo=strlen($tal_fin);
		$numero=str_pad($numero,$largo, "0", STR_PAD_LEFT);
		$numdoc=$tal_ser.'-'.$numero;
	

	//insertamos traspaso

	$oTraspaso->insertar(

		fecha_mysql($_POST['txt_tra_fec']),
		$numdoc,

		$_POST['txt_tra_obs'],

		$_POST['cmb_alm_id_ori'],

		$_POST['cmb_alm_id_des'],

		$_POST['hdd_usu_id'],
		1

	);


		$dts=$oTraspaso->ultimoInsert();
		$dt = mysqli_fetch_array($dts);
		$tra_id=$dt['id'];
		mysqli_free_result($dts);
	
	$estado='1';
		if($tal_num==$tal_fin)
		{
			$estado='2';
		}
		$numero=$tal_num+1;
		$rs3 = $oTalonario->actualizar_correlativo($tal_id, $numero, $estado);
				
/* 

	//registro de kardex SALIDA		

	$kar_des='TRASPASO';

	$mod_id = 5; // traspaso

	$idm=$tra_id;//id de la op(modulo compras, ventas, etc)


	$oKardex->insertar(			

		fecha_mysql($_POST['txt_tra_fec']),			

		$kar_des,

		$mod_id,

		$idm,

		$_POST['hdd_usu_id'],

		$_POST['hdd_emp_id'],
		''		

	);


	//ultimo kardex


	$kar_id_salida = ultimoInsert();


	//registro de kardex INGRESO		

	$kar_des='TRASPASO';

	$mod_id = 5; // traspaso

	$idm=$tra_id;//id de la op(modulo compras, ventas, etc)


	$oKardex->insertar(			

		fecha_mysql($_POST['txt_tra_fec']),			

		$kar_des,

		$mod_id,

		$idm,

		$_POST['hdd_usu_id'],

		$_POST['hdd_emp_id'],
		''

	);


	//ultimo kardex


	$kar_id_ingreso = ultimoInsert();


		 */


	//_______________________________________


		


	//detalle de productos


	foreach($_SESSION['traspaso_can'] as $indice => $cantidad)

	{


		//registro detalle de traspaso

		$oTraspaso->insertar_detalle(

			$_SESSION['traspaso_catid'][$indice],
			$_SESSION['traspaso_marid'][$indice],

			$cantidad,

			$tra_id

		);


		//consultar datos

		/* $dts= $oCatalogo->mostrarUno($_SESSION['traspaso_catid'][$indice],$_SESSION['traspaso_marid'][$indice]);

		$dt = mysqli_fetch_array($dts);

			$pre_id	=$dt['tb_presentacion_id'];

			$cat_precos=$dt['tb_productomarca_precos'];

		mysqli_free_result($dts);
 */

		//stock almacen origen

		/* $alm_id=$_POST['cmb_alm_id_ori'];

		$dts=$oStock->stock_por_presentacion($pre_id,$_SESSION['traspaso_marid'][$indice],$alm_id);

		$dt = mysqli_fetch_array($dts);

			$sto_id		=$dt['tb_stock_id'];

			$sto_num	=$dt['tb_stock_num'];

		mysqli_free_result($dts);


		$stock_nuevo=$sto_num-$cantidad;

		$oStock->modificar($sto_id,$stock_nuevo);
 */

		//stock almacen destino

		/* $alm_id=$_POST['cmb_alm_id_des'];

		$dts=$oStock->stock_por_presentacion($pre_id,$_SESSION['traspaso_marid'][$indice],$alm_id);

		$dt = mysqli_fetch_array($dts);

			$sto_id2		=$dt['tb_stock_id'];

			$sto_num2	=$dt['tb_stock_num'];

		mysqli_free_result($dts);
		

		$stock_nuevo2=$sto_num2+$cantidad;

		if($sto_id2>0)

		{

			$oStock->modificar($sto_id2,$stock_nuevo2);

		}

		else

		{

			$oStock->insertar($_POST['cmb_alm_id_des'],$pre_id,$_SESSION['traspaso_marid'][$indice],$stock_nuevo2);

		} */


		//registro detalle de kardex

		/* $kar_tip=2;

		$oKardex->insertar_detalle(

			$_SESSION['traspaso_catid'][$indice],

			$_SESSION['traspaso_marid'][$indice],

			$kar_tip,

			$cantidad,

			$cat_precos,
			$cat_precos,

			$kar_id_salida,

			$_POST['cmb_alm_id_ori']

		);	
		

		$kar_tip=1;

		$oKardex->insertar_detalle(

			$_SESSION['traspaso_catid'][$indice],

			$_SESSION['traspaso_marid'][$indice],

			$kar_tip,

			$cantidad,

			$cat_precos,
			$cat_precos,

			$kar_id_ingreso,

			$_POST['cmb_alm_id_des']

		); */

	}	

	unset($_SESSION['traspaso_car']);

	responder(true, 'Se registro traspaso Nº '.$numdoc.' correctamente.', [

		'tra_id' => $tra_id,

		'tra_act' => 'imprime'

		]);


}



if($_POST['action_traspaso']=="editar")

{

	if(!empty($_POST['txt_tra_fec']))

	{

		$oTraspaso->modificar(

			$_POST['hdd_tra_id'],

			fecha_mysql($_POST['txt_tra_fec']),

			$_POST['txt_tra_obs']

			);

		$data['tra_msj']='Se modificó traspaso correctamente.';

		echo json_encode($data);

	}

	else

	{

		echo 'Intentelo nuevamente.';

	}

}




	if ($_POST['action']=='catalago') {

		$id=$_POST['id'];

		$rs=$oCatalogo->retorna_catalogos($id);

		$nu=mysqli_num_rows($rs);

		echo $nu;

	}